Skip to main content

Check gift card status

GET 

/gift-card/stripe/checkout/:checkout_id/

Check the status of a gift card checkout/payment and get the gift card details if payment is completed.

Request

Path Parameters

    checkout_id stringrequired

    The ID of the checkout to check

Responses

The current status of the checkout and gift card details if payment is completed.

Schema
    checkout_id uuidrequired

    The ID of the checkout session

    status stringrequired

    Possible values: [pending, completed, expired, canceled]

    The status of the payment

    value float

    The value of the gift card

    currency string

    The currency of the gift card

    gift_card object

    Gift card model

    identification_code string

    Possible values: <= 50 characters

    The public identifier of the gift card

    value float

    The value of the gift card

    currency string

    The currency of the gift card

    active boolean

    Whether the gift card is active

    redeemed boolean

    Whether the gift card has been redeemed

    code_str string

    Possible values: <= 200 characters

    The secret code of the gift card

    created_at date-time

    When the gift card was created

    updated_at date-time

    When the gift card was last updated

Loading...